Low level graphical routines.
Graphical outputs.

() More...

## Functions

void | des_profile (const float *uutab, int nx, float xmin, float xmax, const char *nomx, const char *nomy, const char *title, const char *device=0x0, int nbound=0, float *xbound=0x0)
| Basic routine for drawing a single profile with uniform x sampling.
void | des_profile (const float *uutab, int nx, const float *xtab, const char *nomx, const char *nomy, const char *title, const char *device=0x0, int nbound=0, float *xbound=0x0)
| Basic routine for drawing a single profile with arbitray x sampling.
void | des_profile_mult (const float *uutab, int nprof, int nx, float xmin, float xmax, const char *nomx, const char *nomy, const char *title, const int *line_style, int ngraph, bool closeit, const char *device=0x0, int nbound=0, float *xbound=0x0)
| Basic routine for drawing multiple profiles with uniform x sampling.
void | des_profile_mult (const float *uutab, int nprof, int nx, const float *xtab, const char *nomx, const char *nomy, const char *title, const int *line_style, int ngraph, bool closeit, const char *device=0x0, int nbound=0, float *xbound=0x0)
| Basic routine for drawing multiple profiles with arbitrary x sampling.
void | des_points (const float *uutab, int nx, float xmin, float xmax, const char *nomx=0x0, const char *nomy=0x0, const char *title=0x0, const char *device=0x0, int nbound=0, float *xbound=0x0)
| Basic routine for plotting points using grid locations.
void | des_equipot (float *uutab, int nx, int ny, float xmin, float xmax, float ymin, float ymax, int ncour, const char *nomx, const char *nomy, const char *title, const char *device=0x0, int newgraph=3, int nxpage=1, int nypage=1)
| Basic routine for drawing isocontours.
void | des_vect (float *vvx, float *vvy, int nx, int ny, float xmin, float xmax, float ymin, float ymax, double scale, double sizefl, const char *nomx, const char *nomy, const char *title, const char *device=0x0, int newgraph=3, int nxpage=1, int nypage=1)
| Basic routine for plotting vector field.
void | des_domaine_x (const Map &mp, int l0, double x0, const char *device=0x0, int newgraph=3, double y_min=-1, double y_max=1, double z_min=-1, double z_max=1, const char *nomy=0x0, const char *nomz=0x0, const char *title=0x0, int nxpage=1, int nypage=1)
| Basic routine for drawing the outer boundary of a given domain in a plane X=constant.
void | des_domaine_y (const Map &mp, int l0, double y0, const char *device=0x0, int newgraph=3, double x_min=-1, double x_max=1, double z_min=-1, double z_max=1, const char *nomx=0x0, const char *nomz=0x0, const char *title=0x0, int nxpage=1, int nypage=1)
| Basic routine for drawing the outer boundary of a given domain in a plane Y=constant.
void | des_domaine_z (const Map &mp, int l0, double z0, const char *device=0x0, int newgraph=3, double x_min=-1, double x_max=1, double y_min=-1, double y_max=1, const char *nomx=0x0, const char *nomz=0x0, const char *title=0x0, int nxpage=1, int nypage=1)
| Basic routine for drawing the outer boundary of a given domain in a plane Z=constant.
void | des_coef (const double *cf, int n, double pzero, const char *nomx, const char *nomy, const char *title, const char *device=0x0, int newgraph=3, int nxpage=1, int nypage=1)
| Basic routine for drawing spectral coefficients.
void | des_coupe_vtk_x (const Scalar &uu, double x0, int nzdes, const char *title=0x0, double zoom=1.2, int ny=100, int nz=100)
| Saves the data for a `Scalar` in the plane X=constant.
void | des_coupe_vtk_x (const Scalar &uu, double x0, double y_min, double y_max, double z_min, double z_max, const char *title=0x0, int ny=100, int nz=100)
| Saves the data for a `Scalar` in the plane X=constant within a specified graphic window.
void | des_coupe_vtk_y (const Scalar &uu, double y0, int nzdes, const char *title=0x0, double zoom=1.2, int nx=100, int nz=100)
| Saves the data for a `Scalar` in the plane Y=constant.
void | des_coupe_vtk_y (const Scalar &uu, double y0, double x_min, double x_max, double z_min, double z_max, const char *title=0x0, int nx=100, int nz=100)
| Saves the data for a `Scalar` in the plane Y=constant within a specified graphic window.
void | des_coupe_vtk_z (const Scalar &uu, double z0, int nzdes, const char *title=0x0, double zoom=1.2, int nx=100, int ny=100)
| Saves the data for a `Scalar` in the plane Z=constant.
void | des_coupe_vtk_z (const Scalar &uu, double z0, double x_min, double x_max, double y_min, double y_max, const char *title=0x0, int nx=100, int ny=100)
| Saves the data for a `Scalar` in the plane Z=constant within a specified graphic window.
void | des_vtk_xyz (const Scalar &uu, int nzdes, const char *title=0x0, int nx=100, int ny=100, int nz=100)
| Saves a three dimensional `Scalar`.
void | des_vtk_xyz (const Scalar &uu, double x_min, double x_max, double y_min, double y_max, double z_min, double z_max, const char *title=0x0, int nx=100, int ny=100, int nz=100)
| Saves the data for a `Scalar` within a specified graphic window.

## Detailed Description

()

## Function Documentation

## des_coef()

void des_coef | ( | const double * | cf,
|  | int | n,
|  | double | pzero,
|  | const char * | nomx,
|  | const char * | nomy,
|  | const char * | title,
|  | const char * | device = 0x0,
|  | int | newgraph = 3,
|  | int | nxpage = 1,
|  | int | nypage = 1 )

Basic routine for drawing spectral coefficients.

Parameters

  cf | [input] 1-D array of the coefficients to be drawn (size: `n` )
  n | [input] number of coefficients
  pzero | [input] positive number under which (in absolute value) a coefficient will be considered as zero
  nomx | [input] x legend of the figure
  nomy | [input] y legend of the figure
  title | [input] title of the figure
  device | [input] PGPLOT device (default value = 0x0)
  newgraph | [input] controls the opening/closing of the graphic device: 0 : does nothing (the device must be already opened) 1 : opens the device but does not close it at the end 2 : closes the device at the end but does not open it at the beginning 3 (default value) : opens and closes the device
  nxpage | [input] number of graphs in the horizontal direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)
  nypage | [input] number of graphs in the vertical direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)

## des_coupe_vtk_x() [1/2]

void des_coupe_vtk_x | ( | const Scalar & | uu,
|  | double | x0,
|  | double | y_min,
|  | double | y_max,
|  | double | z_min,
|  | double | z_max,
|  | const char * | title = 0x0,
|  | int | ny = 100,
|  | int | nz = 100 )

Saves the data for a `Scalar` in the plane X=constant within a specified graphic window.

X is the Cartesian coordinate relative to the absolute frame.

Parameters

  uu | [input] `Scalar` to be drawn
  x0 | [input] value of the coordinate X which defines the plane of the drawing
  y_min | [input] lowest value of absol. coord. Y
  y_max | [input] highest value of absol. coord. Y
  z_min | [input] lowest value of absol. coord. Z
  z_max | [input] highest value of absol. coord. Z
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  ny | [input] number of points in the Y direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_coupe_vtk_x() [2/2]

void des_coupe_vtk_x | ( | const Scalar & | uu,
|  | double | x0,
|  | int | nzdes,
|  | const char * | title = 0x0,
|  | double | zoom = 1.2,
|  | int | ny = 100,
|  | int | nz = 100 )

Saves the data for a `Scalar` in the plane X=constant.

X is the Cartesian coordinate relative to the absolute frame.

Parameters

  uu | [input] `Scalar` to be drawn
  x0 | [input] value of the coordinate X which defines the plane of the drawing
  nzdes | [input] number of domains for which the plot is performed: the size of the graphic window is determined so that the `nzdes` innermost domains fit in it (for `zoom` = 1.)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  zoom | [input] Factor by which the size of the graphic window (determined from the size of the `nzdes` innermost domains) is multiplied (default value = 1.2)
  ny | [input] number of points in the Y direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_coupe_vtk_y() [1/2]

void des_coupe_vtk_y | ( | const Scalar & | uu,
|  | double | y0,
|  | double | x_min,
|  | double | x_max,
|  | double | z_min,
|  | double | z_max,
|  | const char * | title = 0x0,
|  | int | nx = 100,
|  | int | nz = 100 )

Saves the data for a `Scalar` in the plane Y=constant within a specified graphic window.

Y is the Cartesian coordinate relative to the absolute frame.

Parameters

  uu | [input] `Scalar` to be drawn
  y0 | [input] value of the coordinate Y which defines the plane of the drawing
  x_min | [input] lowest value of absol. coord. x
  x_max | [input] highest value of absol. coord. x
  z_min | [input] lowest value of absol. coord. Z
  z_max | [input] highest value of absol. coord. Z
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  nx | [input] number of points in the X direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_coupe_vtk_y() [2/2]

void des_coupe_vtk_y | ( | const Scalar & | uu,
|  | double | y0,
|  | int | nzdes,
|  | const char * | title = 0x0,
|  | double | zoom = 1.2,
|  | int | nx = 100,
|  | int | nz = 100 )

Saves the data for a `Scalar` in the plane Y=constant.

Y is the Cartesian coordinate relative to the absolute frame.

Parameters

  uu | [input] `Scalar` to be drawn
  y0 | [input] value of the coordinate Y which defines the plane of the drawing
  nzdes | [input] number of domains for which the plot is performed: the size of the graphic window is determined so that the `nzdes` innermost domains fit in it (for `zoom` = 1.)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  zoom | [input] Factor by which the size of the graphic window (determined from the size of the `nzdes` innermost domains) is multiplied (default value = 1.2)
  nx | [input] number of points in the X direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_coupe_vtk_z() [1/2]

void des_coupe_vtk_z | ( | const Scalar & | uu,
|  | double | z0,
|  | double | x_min,
|  | double | x_max,
|  | double | y_min,
|  | double | y_max,
|  | const char * | title = 0x0,
|  | int | nx = 100,
|  | int | ny = 100 )

Saves the data for a `Scalar` in the plane Z=constant within a specified graphic window.

Z is the Cartesian coordinate relative to the absolute frame.

Parameters

  uu | [input] `Scalar` to be drawn
  z0 | [input] value of the coordinate Z which defines the plane of the drawing
  x_min | [input] lowest value of absol. coord. X
  x_max | [input] highest value of absol. coord. X
  y_min | [input] lowest value of absol. coord. Y
  y_max | [input] highest value of absol. coord. Y
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  nx | [input] number of points in the X direction (default value = 100)
  ny | [input] number of points in the Y direction (default value = 100)

## des_coupe_vtk_z() [2/2]

void des_coupe_vtk_z | ( | const Scalar & | uu,
|  | double | z0,
|  | int | nzdes,
|  | const char * | title = 0x0,
|  | double | zoom = 1.2,
|  | int | nx = 100,
|  | int | ny = 100 )

Saves the data for a `Scalar` in the plane Z=constant.

Z is the Cartesian coordinate relative to the absolute frame.

Parameters

  uu | [input] `Scalar` to be drawn
  z0 | [input] value of the coordinate Z which defines the plane of the drawing
  nzdes | [input] number of domains for which the plot is performed: the size of the graphic window is determined so that the `nzdes` innermost domains fit in it (for `zoom` = 1.)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  zoom | [input] Factor by which the size of the graphic window (determined from the size of the `nzdes` innermost domains) is multiplied (default value = 1.2)
  nx | [input] number of points in the X direction (default value = 100)
  ny | [input] number of points in the Y direction (default value = 100)

## des_domaine_x()

void des_domaine_x | ( | const Map & | mp,
|  | int | l0,
|  | double | x0,
|  | const char * | device = 0x0,
|  | int | newgraph = 3,
|  | double | y_min = -1,
|  | double | y_max = 1,
|  | double | z_min = -1,
|  | double | z_max = 1,
|  | const char * | nomy = 0x0,
|  | const char * | nomz = 0x0,
|  | const char * | title = 0x0,
|  | int | nxpage = 1,
|  | int | nypage = 1 )

Basic routine for drawing the outer boundary of a given domain in a plane X=constant.

X is the Cartesian coordinate relative to the absolute frame.
The domain outer boundary is defined by .

Parameters

  mp | [input] Mapping defining the various domains
  l0 | [input] Index of the domain, the outer boundary of which is to be drawn
  x0 | [input] value of the coordinate X which defines the plane of the drawing
  device | [input] PGPLOT device (default value = 0x0)
  newgraph | [input] controls the opening/closing of the graphic device: 0 : does nothing (the device must be already opened) 1 : opens the device but does not close it at the end 2 : closes the device at the end but does not open it at the beginning 3 (default value) : opens and closes the device
  y_min | [input] lowest value of absol. coord. Y (default value = -1)
  y_max | [input] highest value of absol. coord. Y (default value = 1)
  z_min | [input] lowest value of absol. coord. Z (default value = -1)
  z_max | [input] highest value of absol. coord. Z (default value = 1)
  nomy | [input] y legend of the figure (default value = 0x0)
  nomz | [input] z legend of the figure (default value = 0x0)
  title | [input] title of the figure (default value = 0x0)
  nxpage | [input] number of graphs in the horizontal direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)
  nypage | [input] number of graphs in the vertical direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)

## des_domaine_y()

void des_domaine_y | ( | const Map & | mp,
|  | int | l0,
|  | double | y0,
|  | const char * | device = 0x0,
|  | int | newgraph = 3,
|  | double | x_min = -1,
|  | double | x_max = 1,
|  | double | z_min = -1,
|  | double | z_max = 1,
|  | const char * | nomx = 0x0,
|  | const char * | nomz = 0x0,
|  | const char * | title = 0x0,
|  | int | nxpage = 1,
|  | int | nypage = 1 )

Basic routine for drawing the outer boundary of a given domain in a plane Y=constant.

Y is the Cartesian coordinate relative to the absolute frame.
The domain outer boundary is defined by .

Parameters

  mp | [input] Mapping defining the various domains
  l0 | [input] Index of the domain, the outer boundary of which is to be drawn
  y0 | [input] value of the coordinate Y which defines the plane of the drawing
  device | [input] PGPLOT device (default value = 0x0)
  newgraph | [input] controls the opening/closing of the graphic device: 0 : does nothing (the device must be already opened) 1 : opens the device but does not close it at the end 2 : closes the device at the end but does not open it at the beginning 3 (default value) : opens and closes the device
  x_min | [input] lowest value of absol. coord. X (default value = -1)
  x_max | [input] highest value of absol. coord. X (default value = 1)
  z_min | [input] lowest value of absol. coord. Z (default value = -1)
  z_max | [input] highest value of absol. coord. Z (default value = 1)
  nomx | [input] x legend of the figure (default value = 0x0)
  nomz | [input] z legend of the figure (default value = 0x0)
  title | [input] title of the figure (default value = 0x0)
  nxpage | [input] number of graphs in the horizontal direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)
  nypage | [input] number of graphs in the vertical direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)

## des_domaine_z()

void des_domaine_z | ( | const Map & | mp,
|  | int | l0,
|  | double | z0,
|  | const char * | device = 0x0,
|  | int | newgraph = 3,
|  | double | x_min = -1,
|  | double | x_max = 1,
|  | double | y_min = -1,
|  | double | y_max = 1,
|  | const char * | nomx = 0x0,
|  | const char * | nomz = 0x0,
|  | const char * | title = 0x0,
|  | int | nxpage = 1,
|  | int | nypage = 1 )

Basic routine for drawing the outer boundary of a given domain in a plane Z=constant.

Z is the Cartesian coordinate relative to the absolute frame.
The domain outer boundary is defined by .

Parameters

  mp | [input] Mapping defining the various domains
  l0 | [input] Index of the domain, the outer boundary of which is to be drawn
  z0 | [input] value of the coordinate Z which defines the plane of the drawing
  device | [input] PGPLOT device (default value = 0x0)
  newgraph | [input] controls the opening/closing of the graphic device: 0 : does nothing (the device must be already opened) 1 : opens the device but does not close it at the end 2 : closes the device at the end but does not open it at the beginning 3 (default value) : opens and closes the device
  x_min | [input] lowest value of absol. coord. X (default value = -1)
  x_max | [input] highest value of absol. coord. X (default value = 1)
  y_min | [input] lowest value of absol. coord. Y (default value = -1)
  y_max | [input] highest value of absol. coord. Y (default value = 1)
  nomx | [input] x legend of the figure (default value = 0x0)
  nomy | [input] y legend of the figure (default value = 0x0)
  title | [input] title of the figure (default value = 0x0)
  nxpage | [input] number of graphs in the horizontal direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)
  nypage | [input] number of graphs in the vertical direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)

## des_equipot()

void des_equipot | ( | float * | uutab,
|  | int | nx,
|  | int | ny,
|  | float | xmin,
|  | float | xmax,
|  | float | ymin,
|  | float | ymax,
|  | int | ncour,
|  | const char * | nomx,
|  | const char * | nomy,
|  | const char * | title,
|  | const char * | device = 0x0,
|  | int | newgraph = 3,
|  | int | nxpage = 1,
|  | int | nypage = 1 )

Basic routine for drawing isocontours.

Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field.

Parameters

  uutab | [input] field to be drawn; the value of the field a the point of coordinates x_i = xmin + i (xmax-xmin)/(nx-1) 0 <= i <= nx-1 y_j = ymin + j (ymax-ymin)/(ny-1) 0 <= j <= ny-1 must be stored at the following position in the float 1-D array uu : index = j * nx + i
  nx | [input] number of points in the x direction
  ny | [input] number of points in the y direction
  xmin | [input] lowest value of x
  xmax | [input] highest value of x
  ymin | [input] lowest value of y
  ymax | [input] highest value of y
  ncour | [input] number of isocontour lines
  nomx | [input] x legend of the figure
  nomy | [input] y legend of the figure
  title | [input] title of the figure
  device | [input] PGPLOT device (default value = 0x0)
  newgraph | [input] controls the opening/closing of the graphic device: 0 : does nothing (the device must be already opened) 1 : opens the device but does not close it at the end 2 : closes the device at the end but does not open it at the beginning 3 (default value) : opens and closes the device
  nxpage | [input] number of graphs in the horizontal direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)
  nypage | [input] number of graphs in the vertical direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)

## des_points()

void des_points | ( | const float * | uutab,
|  | int | nx,
|  | float | xmin,
|  | float | xmax,
|  | const char * | nomx = 0x0,
|  | const char * | nomy = 0x0,
|  | const char * | title = 0x0,
|  | const char * | device = 0x0,
|  | int | nbound = 0,
|  | float * | xbound = 0x0 )

Basic routine for plotting points using grid locations.

A profile is a function y=y(x).

Parameters

  uutab | [input] Array (size: `nx` ) of y values to be drawn
  nx | [input] Number of points
  xmin | [input] lowest value of x
  xmax | [input] highest value of x
  nomx | [input] x legend of the figure
  nomy | [input] y legend of the figure
  title | [input] title of the figure
  device | [input] PGPLOT device (default value = 0x0, will result in interactive choice)
  nbound | [input] number of domain boundaries to be drawn (default value = 0, meaning that the domain boundaries are not drawn)
  xbound | [input] array of size `nbound` containing the abscidia of each domain boundary

## des_profile() [1/2]

void des_profile | ( | const float * | uutab,
|  | int | nx,
|  | const float * | xtab,
|  | const char * | nomx,
|  | const char * | nomy,
|  | const char * | title,
|  | const char * | device = 0x0,
|  | int | nbound = 0,
|  | float * | xbound = 0x0 )

Basic routine for drawing a single profile with arbitray x sampling.

A profile is a function y=y(x).

Parameters

  uutab | [input] Array (size: `nx` ) of y values to be drawn (the x sampling is supposed to be uniform).
  nx | [input] Number of points
  xtab | [input] Array (size: `nx` ) of the x sampling.
  nomx | [input] x legend of the figure
  nomy | [input] y legend of the figure
  title | [input] title of the figure
  device | [input] PGPLOT device (default value = 0x0, will result in interactive choice)
  nbound | [input] number of domain boundaries to be drawn (default value = 0, meaning that the domain boundaries are not drawn)
  xbound | [input] array of size `nbound` containing the abscidia of each domain boundary

## des_profile() [2/2]

void des_profile | ( | const float * | uutab,
|  | int | nx,
|  | float | xmin,
|  | float | xmax,
|  | const char * | nomx,
|  | const char * | nomy,
|  | const char * | title,
|  | const char * | device = 0x0,
|  | int | nbound = 0,
|  | float * | xbound = 0x0 )

Basic routine for drawing a single profile with uniform x sampling.

A profile is a function y=y(x).

Parameters

  uutab | [input] Array (size: `nx` ) of y values to be drawn (the x sampling is supposed to be uniform).
  nx | [input] Number of points
  xmin | [input] lowest value of x
  xmax | [input] highest value of x
  nomx | [input] x legend of the figure
  nomy | [input] y legend of the figure
  title | [input] title of the figure
  device | [input] PGPLOT device (default value = 0x0, will result in interactive choice)
  nbound | [input] number of domain boundaries to be drawn (default value = 0, meaning that the domain boundaries are not drawn)
  xbound | [input] array of size `nbound` containing the abscidia of each domain boundary

## des_profile_mult() [1/2]

void des_profile_mult | ( | const float * | uutab,
|  | int | nprof,
|  | int | nx,
|  | const float * | xtab,
|  | const char * | nomx,
|  | const char * | nomy,
|  | const char * | title,
|  | const int * | line_style,
|  | int | ngraph,
|  | bool | closeit,
|  | const char * | device = 0x0,
|  | int | nbound = 0,
|  | float * | xbound = 0x0 )

Basic routine for drawing multiple profiles with arbitrary x sampling.

A profile is a function y=y(x).

Parameters

  uutab | [input] Array (size: `nprof` *`nx` ) of y values to be drawn (the x sampling is supposed to be uniform).
  nprof | [input] Number of profiles
  nx | [input] Number of points for each profile
  xtab | [input] Array (size: `nprof` *`nx` ) of x values for each profile
  nomx | [input] x legend of the figure
  nomy | [input] y legend of the figure
  title | [input] title of the figure
  line_style | [input] Array (size `nprof` ) defining the line style for each plot: the possible values are `line_style`[i] = 1 (full line), 2 (dashed), 3 (dot-dash-dot-dash), 4 (dotted), 5 (dash-dot-dot-dot). The value = 0x0 corresponds to a cyclic sequence of the above styles.
  ngraph | [input] Index of the graphic device (in the range [0,99]) to be used for the plot: if this device has never been used or is closed, it will be opened with the name `device` provided by the last argument.
  closeit | [input] determines whether the device must be closed or not after the plot has been performed
  device | [input] PGPLOT device (default value = 0x0, will result in interactive choice)
  nbound | [input] number of domain boundaries to be drawn (default value = 0, meaning that the domain boundaries are not drawn)
  xbound | [input] array of size `nbound` containing the abscidia of each domain boundary

## des_profile_mult() [2/2]

void des_profile_mult | ( | const float * | uutab,
|  | int | nprof,
|  | int | nx,
|  | float | xmin,
|  | float | xmax,
|  | const char * | nomx,
|  | const char * | nomy,
|  | const char * | title,
|  | const int * | line_style,
|  | int | ngraph,
|  | bool | closeit,
|  | const char * | device = 0x0,
|  | int | nbound = 0,
|  | float * | xbound = 0x0 )

Basic routine for drawing multiple profiles with uniform x sampling.

A profile is a function y=y(x).

Parameters

  uutab | [input] Array (size: `nprof` *`nx` ) of y values to be drawn (the x sampling is supposed to be uniform).
  nprof | [input] Number of profiles
  nx | [input] Number of points for each profile
  xmin | [input] lowest value of x
  xmax | [input] highest value of x
  nomx | [input] x legend of the figure
  nomy | [input] y legend of the figure
  title | [input] title of the figure
  line_style | [input] Array (size `nprof` ) defining the line style for each plot: the possible values are `line_style`[i] = 1 (full line), 2 (dashed), 3 (dot-dash-dot-dash), 4 (dotted), 5 (dash-dot-dot-dot). The value = 0x0 corresponds to a cyclic sequence of the above styles.
  ngraph | [input] Index of the graphic device (in the range [0,99]) to be used for the plot: if this device has never been used or is closed, it will be opened with the name `device` provided by the last argument.
  closeit | [input] determines whether the device must be closed or not after the plot has been performed
  device | [input] PGPLOT device (default value = 0x0, will result in interactive choice)
  nbound | [input] number of domain boundaries to be drawn (default value = 0, meaning that the domain boundaries are not drawn)
  xbound | [input] array of size `nbound` containing the abscidia of each domain boundary

## des_vect()

void des_vect | ( | float * | vvx,
|  | float * | vvy,
|  | int | nx,
|  | int | ny,
|  | float | xmin,
|  | float | xmax,
|  | float | ymin,
|  | float | ymax,
|  | double | scale,
|  | double | sizefl,
|  | const char * | nomx,
|  | const char * | nomy,
|  | const char * | title,
|  | const char * | device = 0x0,
|  | int | newgraph = 3,
|  | int | nxpage = 1,
|  | int | nypage = 1 )

Basic routine for plotting vector field.

Parameters

  vvx | [input] x-component of the vector field to be drawn ; the value of the field a the point of coordinates x_i = xmin + i (xmax-xmin)/(nx-1) 0 <= i <= nx-1 y_j = ymin + j (ymax-ymin)/(ny-1) 0 <= j <= ny-1 must be stored at the following position in the float 1-D array uu : index = j * nx + i
  vvy | [input] y-component of the vector field to be drawn ; same storage as `vvx` .
  nx | [input] number of points in the x direction
  ny | [input] number of points in the y direction
  xmin | [input] lowest value of x
  xmax | [input] highest value of x
  ymin | [input] lowest value of y
  ymax | [input] highest value of y
  scale | [input] controls the length of the drawn arrows; if `scale` is negative, the length is determined automatically by the routine: `scale` = -1 : max. length = step of the rectangular grid `scale` = -2 : max. length = 2* step of the rectangular grid etc...
  sizefl | [input] size of the arrows extremities (standard value: 1)
  nomx | [input] x legend of the figure
  nomy | [input] y legend of the figure
  title | [input] title of the figure
  device | [input] PGPLOT device (default value = 0x0)
  newgraph | [input] controls the opening/closing of the graphic device: 0 : does nothing (the device must be already opened) 1 : opens the device but does not close it at the end 2 : closes the device at the end but does not open it at the beginning 3 (default value) : opens and closes the device
  nxpage | [input] number of graphs in the horizontal direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)
  nypage | [input] number of graphs in the vertical direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)

## des_vtk_xyz() [1/2]

void des_vtk_xyz | ( | const Scalar & | uu,
|  | double | x_min,
|  | double | x_max,
|  | double | y_min,
|  | double | y_max,
|  | double | z_min,
|  | double | z_max,
|  | const char * | title = 0x0,
|  | int | nx = 100,
|  | int | ny = 100,
|  | int | nz = 100 )

Saves the data for a `Scalar` within a specified graphic window.

Parameters

  uu | [input] `Scalar` to be drawn
  x_min | [input] lowest value of absol. coord. X
  x_max | [input] highest value of absol. coord. X
  y_min | [input] lowest value of absol. coord. Y
  y_max | [input] highest value of absol. coord. Y
  z_min | [input] lowest value of absol. coord. Z
  z_max | [input] highest value of absol. coord. Z
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  nx | [input] number of points in the X direction (default value = 100)
  ny | [input] number of points in the Y direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_vtk_xyz() [2/2]

void des_vtk_xyz | ( | const Scalar & | uu,
|  | int | nzdes,
|  | const char * | title = 0x0,
|  | int | nx = 100,
|  | int | ny = 100,
|  | int | nz = 100 )

Saves a three dimensional `Scalar`.

Parameters

  uu | [input] `Scalar` to be drawn
  nzdes | [input] number of domains for which the plot is performed: the size of the graphic window is determined so that the `nzdes` innermost domains fit in it (for `zoom` = 1.)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  nx | [input] number of points in the X direction (default value = 100)
  ny | [input] number of points in the Y direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)